Issue1840

classification
Title: nan<0 is True but should be False
Type: behaviour Severity: normal
Components: Core Versions: 2.5.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: AnthonySmith, fwierzbicki
Priority: high Keywords:

Created on 2012-02-15.14:29:16 by AnthonySmith, last changed 2012-03-30.20:20:36 by fwierzbicki.

Messages
msg6781 (view) Author: Anthony Smith (AnthonySmith) Date: 2012-02-15.14:33:45
Desired behaviour in C Python 2.4 (or 2.5)

Python 2.4.3 (#1, Sep 21 2011, 19:55:41) 
[GCC 4.1.2 20080704 (Red Hat 4.1.2-51)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> nan = float("nan")
>>> 0<nan
False
>>> 0>nan
False

Broken behaviour on Jython 2.5.2 on Mac


Jython 2.5.2 (Release_2_5_2:7206, Mar 2 2011, 23:12:06) 
[Java HotSpot(TM) 64-Bit Server VM (Apple Inc.)] on java1.6.0_29
Type "help", "copyright", "credits" or "license" for more information.
>>> nan = float("nan")
>>> 0<nan
False
>>> 0>nan
True
msg6990 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-03-30.20:20:06
Thanks Anthony! This is fixed in http://hg.python.org/jython/rev/c514ff14cef5 along with the other inequalities. It should appear in the next 2.5.3 beta and beyond.
History
Date User Action Args
2012-03-30 20:20:36fwierzbickisetstatus: open -> closed
resolution: accepted -> fixed
2012-03-30 20:20:06fwierzbickisetmessages: + msg6990
2012-03-30 19:51:26fwierzbickisetpriority: high
assignee: fwierzbicki
resolution: accepted
nosy: + fwierzbicki
2012-02-15 14:33:46AnthonySmithsetmessages: + msg6781
2012-02-15 14:29:16AnthonySmithcreate